Description

The help link in the top menu should launch in a new page.  As it currently works if a user clicks this link they are taken to

redmine.org. If they then navigate around to find their solution they will have to hit the back button numerous times before they are

returned to their project page. I was trying to look into this and provide a patch but do not know ruby at all. I will keep looking into and

post said patch if I figure it out. BTW - Great software.

Related issues:

Related to Redmine - Feature #13263: Prevent confusion generated by the top H... Closed

Associated revisions

Revision 21737 - 2022-07-22 03:33 - Go MAEDA

Open Help in a separate tab (#1069).

Contributed by Vijay Kiran.

History

#1 - 2008-04-24 14:57 - Vijay Kiran

- File help_menu_in_new_window.txt added

I'm not sure if this the rightway to do it. But this patch works for me.

#2 - 2008-04-24 23:58 - Jon Morrow

Will take a look at this later today! Thanks!!!

#3 - 2008-04-25 00:09 - Jon Morrow

Me like thanks!

#4 - 2014-08-19 06:06 - Toshi MARUYAMA

- Related to Feature #13263: Prevent confusion generated by the top Help link added

#5 - 2022-07-11 17:10 - Go MAEDA

- File 1069.patch added

- Target version set to Candidate for next major release

I think also "Powered by Redmine" link in the footer should open a new tab. Attaching a patch.

#6 - 2022-07-11 19:01 - Holger Just

Just adding target="_blank" potentially allows the target of the link to interact with the original site which opened the link via the window.opener

property to e.g. load a new page there, resulting in the thread of phishing, credential stealing or worse.

This can be circumvented by adding rel="noopener" to these links. While most modern browsers now implicitly set this for any such links, some do not

yet. As such, it is still a safer option to explicitly set this too. In your patch, you can set this with

... :target => '_blank', rel => 'noopener' ...

 See https://mathiasbynens.github.io/rel-noopener/ for a description of the original issue and its workarounds.
https://developer.mozilla.org/en-US/docs/Web/HTML/Element/a#browser_compatibility
https://developer.mozilla.org/en-US/docs/Web/HTML/Element/a#browser_compatibility
https://mathiasbynens.github.io/rel-noopener/


#7 - 2022-07-12 00:14 - Go MAEDA

- File 1069-v2.patch added

Holger Just wrote:

This can be circumvented by adding rel="noopener" to these links.

 Updated the patch. Thank you for pointing it out.

#8 - 2022-07-12 13:09 - Holger Just

Looks good to me!

#9 - 2022-07-18 04:13 - Go MAEDA

- Target version changed from Candidate for next major release to 5.1.0

Setting the target version to 5.1.0.

#10 - 2022-07-22 03:34 - Go MAEDA

- Subject changed from "Help" link should launch new page. to Open Help in a separate tab

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch.

#11 - 2023-10-29 23:49 - Mischa The Evil

- Start date deleted (2008-04-15)

Files

help_menu_in_new_window.txt 837 Bytes 2008-04-24 Vijay Kiran

1069.patch 1.17 KB 2022-07-11 Go MAEDA

1069-v2.patch 1.21 KB 2022-07-11 Go MAEDA
